## Apache Zeta Components Manual :: File Source for thumbnail.php

## Source for file thumbnail.php

Documentation is available at thumbnail.php

1. <?php
2. /**
3. * File containing the ezcImageThumbnailFilters interface.
4. *
5. * Licensed to the Apache Software Foundation (ASF) under one
6. * or more contributor license agreements. See the NOTICE file
7. * distributed with this work for additional information
8. * regarding copyright ownership. The ASF licenses this file
9. * to you under the Apache License, Version 2.0 (the
10. * "License"); you may not use this file except in compliance
11. * with the License. You may obtain a copy of the License at
12. *
13. * http://www.apache.org/licenses/LICENSE-2.0
14. *
15. * Unless required by applicable law or agreed to in writing,
16. * software distributed under the License is distributed on an
17. * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
18. * KIND, either express or implied. See the License for the
19. * specific language governing permissions and limitations
20. * under the License.
21. *
22. * @package ImageConversion
23. * @version //autogentag//
24. * @license http://www.apache.org/licenses/LICENSE-2.0 Apache License, Version 2.0
25. * @filesource
26. */
28. /**
29. * This interface has to implemented by ezcImageFilters classes to
30. * support thumbnail filters.
31. *
32. * @see ezcImageHandler
33. * @see ezcImageTransformation
34. * @see ezcImageFiltersInterface
35. *
36. * @package ImageConversion
37. * @version //autogentag//
38. */
39. interface ezcImageThumbnailFilters
40. {
41. /**
42. * Creates a thumbnail, and crops parts of the given image to fit the range best.
43. * This filter creates a thumbnail of the given image. The image is scaled
44. * down, keeping the original ratio and keeping the image larger as the
45. * given range, if necessary. Overhead for the target range is cropped from
46. * both sides equally.
47. *
48. * If you are looking for a filter that just resizes your image to
49. * thumbnail size, you should consider the {@link }
50. * ezcImageGeometryFilters::scale()} filter.
51. *
52. * @param int $width Width of the thumbnail.
53. * @param int $height Height of the thumbnail.
54. */
55. public function croppedThumbnail ( $width, $height );
57. /**
58. * Creates a thumbnail, and fills up the image to fit the given range.
59. * This filter creates a thumbnail of the given image. The image is scaled
60. * down, keeping the original ratio and scaling the image smaller as the
61. * given range, if necessary. Overhead for the target range is filled with the given
62. * color on both sides equally.
63. *
64. * The color is defined by the following array format (integer values 0-255):
65. *
66. * <code>
67. * array(
68. * 0 => <red value>,
69. * 1 => <green value>,
70. * 2 => <blue value>,
71. * );
72. * </code>
73. *
74. * If you are looking for a filter that just resizes your image to
75. * thumbnail size, you should consider the {@link }
76. * ezcImageGeometryFilters::scale()} filter.
77. *
78. * @param int $width Width of the thumbnail.
79. * @param int $height Height of the thumbnail.
80. * @param array $color Fill color.
81. * @return void
82. */
83. public function filledThumbnail ( $width, $height, $color = array() );
84. }
86. ?>

Documentation generated by phpDocumentor 1.4.3